# SolrDocument::__set

(PECL solr >= 0.9.2)

SolrDocument::__set — Adds another field to the document

### Description

public SolrDocument::__set ( string `$fieldName` , string `$fieldValue` ) : bool

Adds another field to the document. Used to set the fields as new properties.

### Parameters

`fieldName`

  Name of the field.

`fieldValue`

  Field value.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.